
#ifndef ROOT_TExec
#define ROOT_TExec

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TExec                                                                //
//                                                                      //
// A TExec object can execute a CINT command.                           //
//                                                                      //
//////////////////////////////////////////////////////////////////////////


#ifndef ROOT_TNamed
//*KEEP,TNamed.
#include "TNamed.h"
//*KEND.
#endif


class TExec : public TNamed {

public:

        TExec();
        TExec(const char *name, const char *command);
        TExec(const TExec &text);
        virtual ~TExec();
        virtual void     Exec(const char *command="");
        virtual void     Paint(Option_t *option="");
        virtual void     SavePrimitive(ofstream &out, Option_t *option);

        ClassDef(TExec,1)  //To execute a CINT command
};

#endif

