#ifndef ROOT_TPaveClass
#define ROOT_TPaveClass

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPaveClass                                                           //
//                                                                      //
// A TPaveLabel specialized for TClassTree objects                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPaveLabel
//*KEEP,TPaveLabel.
#include "TPaveLabel.h"
//*KEND.
#endif
#ifndef ROOT_TTreeViewer
//*KEEP,TClassTree,T=C++.
#include "TClassTree.h"
//*KEND.
#endif


class TPaveClass : public TPaveLabel{

protected:
        TClassTree   *fClassTree;       //Pointer to the TClassTree referencing this object

public:
        TPaveClass();
        TPaveClass(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2, const char *label, TClassTree *classtree);
        TPaveClass(const TPaveClass &PaveVar);
        virtual      ~TPaveClass();
                void  Copy(TObject &PaveVar);
        virtual void  DrawClasses(const char *classes="this");   // *MENU*
        TClassTree   *GetClassTree() {return fClassTree;}
        virtual void  SaveAs(const char *filename=""); // *MENU*
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  SetClasses(const char *classes="this", Option_t *option="ID");   // *MENU*
        virtual void  ShowClassesUsedBy(const char *classes="this");  // *MENU*
        virtual void  ShowClassesUsing(const char *classes="this");   // *MENU*
        virtual void  SetClassTree(TClassTree *classtree) {fClassTree = classtree;}
        virtual void  ShowLinks(Option_t *option="HMR"); // *MENU*

        ClassDef(TPaveClass,1)  //A TPaveLabel specialized for TClassTree objects
};

#endif
