
#ifndef ROOT_TRandom3
#define ROOT_TRandom3

//+SEQ,CopyRight,T=NOINCLUDE.


//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TRandom3                                                             //
//                                                                      //
// random number generator class: Mersenne Twistor                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TRandom
//*KEEP,TRandom,T=C++.
#include "TRandom.h"
//*KEND.
#endif

class TRandom3 : public TRandom {

private:
   UInt_t   fMt[624];
   Int_t    fCount624;

public:
   TRandom3(UInt_t seed=65539);
   virtual ~TRandom3();
   virtual  Float_t  Rndm(Int_t i=0);
   virtual  void     SetSeed(UInt_t seed=0);

   ClassDef(TRandom3,1)  //Random number generator: Mersenne Twistor
};

R__EXTERN TRandom *gRandom;

#endif
