
#ifndef CodeROOT_TWinNTInput
#define CodeROOT_TWinNTInput

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TWinNTInput                                                          //
//                                                                      //
// This class encapsulates input callback from file descriptors.        //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#if !defined(__CINT__)
#include <windows.h>
#endif

#ifndef ROOT_Rtypes
//*KEEP,Rtypes.
#include "Rtypes.h"
//*KEND.
#endif


class TWinNTInput {

private:

  static void InputHandler(void *clientData, int *source, void *id);

protected:

   int       fFd;

 public:

   TWinNTInput();
  ~TWinNTInput();
   void Attach(int fd, int mask);
   void Remove();
   int Fd();
   int Id();

   ClassDef(TWinNTInput,0)  //Handle callbacks from file descriptors
};

#endif
